Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8042629

deployment.expiration.check.enabled setting is ignored

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P4
    • Resolution: Duplicate
    • Affects Version/s: 7u40
    • Fix Version/s: 7u60
    • Component/s: deploy
    • Labels:

      Description

      FULL PRODUCT VERSION :


      ADDITIONAL OS VERSION INFORMATION :
      Windows 7 SP1 x64 7601

      EXTRA RELEVANT SYSTEM CONFIGURATION :
      Internet Explorer 9.0.8112.16421
      Update versions: 9.0.23 (KB2898785)

      A DESCRIPTION OF THE PROBLEM :
      Deployment.config and deployment.properties exist in C:\Windows\Sun\Java\Deployment. deployment.expiration.check.enabled=false is ignored in the deployment.properties file while other settings (deployment.security.level) are visibly changed in the Java control panel. If the deployment.properties file is saved while the Java control panel is opened the deployment.expiration.check.enabled setting is excepted and warning prompt is suppressed in the browser (IE 9, 10, 11).

      ADDITIONAL REGRESSION INFORMATION:
      java version "1.7.0_40"
      Java(TM) SE Runtime Environment (build 1.7.0_40-b43)
      Java HotSpot(TM) Client VM (build 24.0-b56, mixed mode, sharing)

      STEPS TO FOLLOW TO REPRODUCE THE PROBLEM :
      Create deployment.config and deployment.properties in C:\Windows\Sun\Java\Deployment. Include the following in the deployment.config file:

      deployment.system.config=file:///C:/Windows/Sun/Java/Deployment/deployment.properties
      deployment.system.config.mandatory=true

      In the deployment.properties file:

      deployment.webjava.enabled=true
      deployment.security.level=HIGH
      deployment.expiration.check.enabled=false

      Use http://www.java.com/en/download/installed.jsp to receive the security prompt stating to upgrade. Kill IE (do not click later, block, or upgrade). Open the Java control panel. Open the deployment.properties file and save it. Visit http://www.java.com/en/download/installed.jsp and the prompt is now suppressed.

      EXPECTED VERSUS ACTUAL BEHAVIOR :
      EXPECTED -
      The prompt warning that the version of Java is out of date should not prompt if the setting deployment.expiration.check.enabled is set to false (http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/jcp/properties.html).
      ACTUAL -
      The setting (deployment.expiration.check.enabled) is ignored.

      REPRODUCIBILITY :
      This bug can be reproduced always.

      CUSTOMER SUBMITTED WORKAROUND :
      Save the deployment.properties file while the Java control panel is opened.

        Attachments

          Activity

            People

            • Assignee:
              van Vivi An (Inactive)
              Reporter:
              webbuggrp Webbug Group
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: